/**********************************************************************************
*
* $Header: /cvs/sakai/chef-tool/src/webapp/calendar/sakai-calendar.js,v 1.1 2004/06/21 23:34:45 janderse Exp $
*
***********************************************************************************
@license@
**********************************************************************************/

// This Sakai-specific JavaScript does setup for using the SAM pop-up calendar widget

if (document.calendarcounter == undefined) 
{
	document.calendars = new Array();
	document.calendarcounter = 0;
	document.write('<script type="text/javascript" src="/sakai-chef-tool/calendar/js/calendar2.js"></script>');
}

/**
 * This function updates the dropdown date selection form elements
 * when the user chooses a date via the popup calendar widget.  
 * This function sets the drop-down ("<select>") form elements to the new date value.
 */
function calendarCallback()
{
	var i;
	//alert("document.calendars.length: " + document.calendars.length);
    for (i=0; i<document.calendars.length; i++)
    {
    		//alert("calendarCallback() iter #" + i);
    		 var calendarinfo = document.calendars[i];
 		// grab the form elements
    			
 		var yearselect  = document.getElementById(calendarinfo[0]);
		var monthselect = document.getElementById(calendarinfo[1]);
		var dayselect   = document.getElementById(calendarinfo[2]);   			
 		var inputfield  = document.getElementById(calendarinfo[3]);
 		
 		var date = new Date(inputfield.value);
 		
		// update each of them
	    updateSelect(yearselect, date.getFullYear());
	    updateSelect(monthselect, date.getMonth()+1);
	    updateSelect(dayselect, date.getDate());
	    //alert("calendarCallback() done iter #" + i);
	}
}


function dropdownCallback()
{
	var i;
	// synchronize the pop-up calendars to the drop-down dates
	for (i=0; i<document.calendars.length; i++)
	{
		var calendarinfo = document.calendars[i];
 		var yearselect  = document.getElementById(calendarinfo[0]);
		var monthselect = document.getElementById(calendarinfo[1]);
		var dayselect   = document.getElementById(calendarinfo[2]);
		var inputfield  = document.getElementById(calendarinfo[3]);
		
		var year = yearselect.options[yearselect.selectedIndex].value;
		var month = monthselect.options[monthselect.selectedIndex].value;
		var day = dayselect.options[dayselect.selectedIndex].value;
		
		// format the selected date like "12/31/2004" and put it into the input
		// field which the pop-up calendar uses
		inputfield.value = month + '/' + day + '/' + year;
	}
}


/**
 * This function does setup for a single popup calendar widget.
 * $yearselect_id  The id attribute of the year selection dropdown list (html SELECT tag)
 * $monthselect_id The id attribute of the month selection dropdown list (html SELECT tag)
 * $dayselect_id   The id attribute of the day selection dropdown list (html SELECT tag)
 */
function chef_setuppopupcalendarwidget(yearselect_id, monthselect_id, dayselect_id)
{		
	var inputfield_id = "chef_calendarhiddenfield"+document.calendarcounter;

	// The image button that the user clicks on to pop up the calendar 
	document.write('<img src="/sakai-chef-tool/calendar/images/calendar/cal.gif" onClick="popupcalendar(\''+inputfield_id+'\');" alt="" style="cursor: pointer;" title="Popup date selector" />');

	// A hidden input field where the selected date value will be stored. 
	document.write('<input type="hidden" name="'+inputfield_id+'" id="'+inputfield_id+'" onchange="calendarCallback();" />');
	
	// connect the drop-downs to the calendar, by using an event handler.
	// when the drop-down selection changes, dropdownCallback will update the pop-up calendar.
	var yearselect = document.getElementById(yearselect_id);
	var monthselect = document.getElementById(monthselect_id);
	var dayselect = document.getElementById(dayselect_id);
	
	yearselect.onchange = dropdownCallback;
	monthselect.onchange = dropdownCallback;
	dayselect.onchange = dropdownCallback;

	dropdownCallback();
		 
	// stuff away variables specific to this particular calendar instance so that calendarCallback can get them   
	document.calendars[document.calendarcounter] = new Array(yearselect_id, monthselect_id, dayselect_id, inputfield_id );

	// just in case, synchronize the pop-up calendar to the drop-down calendar in a bit
	setTimeout("dropdownCallback();", 500);
	
	document.calendarcounter++;
}



/** 
 * This function sets the given select form element (drop-down list) to a new selection
 * selectObj - the select form element object
 * newSelection - the value to select in the select form element (drop-down list)
 */
function updateSelect(selectObj, newSelection)
{
	for (i=0; i<selectObj.length; i++)
	{
  		if (selectObj.options[i].value == newSelection)
  		{
  			selectObj.selectedIndex = i;
  			return;
  		}
  	}
}



/** 
 * Called when the calendar button is clicked on - causes the popup
 * calendar to be displayed.
 */
function popupcalendar(inputfield_id)
{
	var inputfield = document.getElementById(inputfield_id);
	var calObj = new calendar2(inputfield, calendarCallback);
	calObj.popup(null, "/sakai-chef-tool/calendar/html/");
}


/**********************************************************************************
*
* $Header: /cvs/sakai/chef-tool/src/webapp/calendar/sakai-calendar.js,v 1.1 2004/06/21 23:34:45 janderse Exp $
*
**********************************************************************************/

