-----------------------------------------------------------------------------
-- CHEF_REALM
-----------------------------------------------------------------------------

DROP TABLE CHEF_REALM;

CREATE TABLE CHEF_REALM
(
    REALM_ID VARCHAR2 (99) NOT NULL,
    XML LONG
);

CREATE UNIQUE INDEX CHEF_REALM_INDEX ON CHEF_REALM
(
	REALM_ID
);

INSERT INTO CHEF_REALM VALUES ('/content/public/', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/content/public/">
	<ability auth="auth" lock="content.read"/>
	<ability anon="anon" lock="content.read"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/realm/', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/realm/">
	<ability auth="auth" lock="realm.add"/>
	<ability auth="auth" lock="realm.del"/>
	<ability auth="auth" lock="realm.upd"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/site/', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/site/">
	<ability auth="auth" lock="site.add"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/site/rackham/', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/site/rackham/">
        <properties>
            <property enc="BASE64" name="CHEF:modifiedby" value="YWRtaW4="/>
            <property enc="BASE64" name="DAV:getlastmodified" value="MjAwNDAxMjUxODI5NTk3MzA="/>
        </properties>
        <role id="maintain">
            <ability lock="dis.grp.read"/>
            <ability lock="dis.grp.upd"/>
            <ability lock="dis.grp.add"/>
            <ability lock="dis.grp.del"/>
            <ability lock="mail.delete.any"/>
            <ability lock="dis.step.add"/>
            <ability lock="annc.new"/>
            <ability lock="dis.step.read"/>
            <ability lock="annc.read"/>
            <ability lock="chat.new"/>
            <ability lock="annc.revise.any"/>
            <ability lock="dis.dis.del"/>
            <ability lock="asn.read"/>
            <ability lock="dis.status.read"/>
            <ability lock="disc.delete.own"/>
            <ability lock="chat.revise.own"/>
            <ability lock="content.revise"/>
            <ability lock="content.new"/>
            <ability lock="site.visit.unp"/>
            <ability lock="dis.status.add"/>
            <ability lock="disc.new"/>
            <ability lock="mail.delete.own"/>
            <ability lock="chat.read"/>
            <ability lock="dis.step.upd"/>
            <ability lock="dis.step.del"/>
            <ability lock="annc.delete.any"/>
            <ability lock="annc.delete.own"/>
            <ability lock="dis.dis.add"/>
            <ability lock="disc.read"/>
            <ability lock="calendar.revise"/>
            <ability lock="asn.revise"/>
            <ability lock="mail.revise.own"/>
            <ability lock="dis.path.add"/>
            <ability lock="site.del"/>
            <ability lock="chat.delete.any"/>
            <ability lock="disc.revise.own"/>
            <ability lock="dis.status.upd"/>
            <ability lock="calendar.read"/>
            <ability lock="dis.path.read"/>
            <ability lock="calendar.delete"/>
            <ability lock="content.read"/>
            <ability lock="site.visit"/>
            <ability lock="calendar.new"/>
            <ability lock="disc.new.topic"/>
            <ability lock="dis.path.del"/>
            <ability lock="disc.delete.any"/>
            <ability lock="annc.revise.own"/>
            <ability lock="asn.new"/>
            <ability lock="content.delete"/>
            <ability lock="chat.delete.own"/>
            <ability lock="dis.dis.upd"/>
            <ability lock="mail.read"/>
            <ability lock="disc.read.draft"/>
            <ability lock="disc.revise.any"/>
            <ability lock="dis.dis.read"/>
            <ability lock="chat.revise.any"/>
            <ability lock="annc.read.draft"/>
            <ability lock="dis.status.del"/>
            <ability lock="mail.revise.any"/>
            <ability lock="asn.delete"/>
            <ability lock="site.upd"/>
        </role>
        <role id="access">
            <ability lock="dis.status.add"/>
            <ability lock="dis.step.read"/>
            <ability lock="dis.path.upd"/>
            <ability lock="annc.read"/>
            <ability lock="mail.read"/>
            <ability lock="disc.new"/>
            <ability lock="chat.new"/>
            <ability lock="disc.revise.own"/>
            <ability lock="dis.status.upd"/>
            <ability lock="calendar.read"/>
            <ability lock="dis.dis.read"/>
            <ability lock="content.read"/>
            <ability lock="site.visit"/>
            <ability lock="asn.submit"/>
            <ability lock="chat.read"/>
            <ability lock="dropbox.own"/>
            <ability lock="dis.status.del"/>
            <ability lock="asn.read"/>
            <ability lock="dis.status.read"/>
            <ability lock="disc.read"/>
        </role>
        <role id="Observer">
            <ability lock="content.read"/>
            <ability lock="site.visit"/>
            <ability lock="chat.read"/>
            <ability lock="dis.step.read"/>
            <ability lock="annc.read"/>
            <ability lock="mail.read"/>
            <ability lock="asn.read"/>
            <ability lock="dis.status.read"/>
            <ability lock="calendar.read"/>
            <ability lock="disc.read"/>
            <ability lock="dis.dis.read"/>
            <ability lock="dis.path.read"/>
        </role>
        <role id="Instructor">
            <ability lock="dis.grp.read"/>
            <ability lock="dis.grp.upd"/>
            <ability lock="dis.grp.add"/>
            <ability lock="dis.grp.del"/>
            <ability lock="calendar.revise"/>
            <ability lock="dis.step.add"/>
            <ability lock="asn.revise"/>
            <ability lock="dis.step.read"/>
            <ability lock="annc.new"/>
            <ability lock="dis.path.upd"/>
            <ability lock="annc.read"/>
            <ability lock="chat.new"/>
            <ability lock="disc.revise.own"/>
            <ability lock="dis.status.upd"/>
            <ability lock="calendar.read"/>
            <ability lock="dis.path.read"/>
            <ability lock="site.visit"/>
            <ability lock="calendar.delete"/>
            <ability lock="content.read"/>
            <ability lock="calendar.new"/>
            <ability lock="annc.revise.any"/>
            <ability lock="disc.new.topic"/>
            <ability lock="dis.dis.del"/>
            <ability lock="disc.delete.any"/>
            <ability lock="annc.revise.own"/>
            <ability lock="asn.read"/>
            <ability lock="dis.status.read"/>
            <ability lock="disc.delete.own"/>
            <ability lock="asn.new"/>
            <ability lock="content.revise"/>
            <ability lock="content.delete"/>
            <ability lock="content.new"/>
            <ability lock="site.visit.unp"/>
            <ability lock="mail.new"/>
            <ability lock="dis.status.add"/>
            <ability lock="mail.read"/>
            <ability lock="disc.read.draft"/>
            <ability lock="dis.dis.upd"/>
            <ability lock="disc.new"/>
            <ability lock="disc.revise.any"/>
            <ability lock="dis.dis.read"/>
            <ability lock="chat.read"/>
            <ability lock="dis.step.upd"/>
            <ability lock="dis.step.del"/>
            <ability lock="annc.read.draft"/>
            <ability lock="dis.status.del"/>
            <ability lock="annc.delete.any"/>
            <ability lock="annc.delete.own"/>
            <ability lock="disc.read"/>
            <ability lock="dis.dis.add"/>
            <ability lock="site.upd"/>
            <ability lock="asn.delete"/>
        </role>
    </realm>
');

INSERT INTO CHEF_REALM VALUES ('/content/attachment/', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/content/attachment/">
	<ability auth="auth" lock="content.new"/>
	<ability auth="auth" lock="content.read"/>
	<ability auth="auth" lock="content.revise"/>
	<ability auth="auth" lock="content.delete"/>
	<ability anon="anon" lock="content.read"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/announcement/channel/!site/motd', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/announcement/channel/!site/motd">
	<ability auth="auth" lock="annc.read"/>
	<ability anon="anon" lock="annc.read"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/dissertation/s/rackham', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/dissertation/s/rackham">
	<ability auth="auth" lock="dis.step.read"/>
	<ability auth="auth" lock="dis.step.upd"/>
	<ability auth="auth" lock="dis.step.add"/>
	<ability auth="auth" lock="dis.step.del"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/dissertation/d/rackham', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/dissertation/d/rackham">
	<ability auth="auth" lock="dis.dis.upd"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/dissertation/g/rackham', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/dissertation/g/rackham">
	<ability auth="auth" lock="dis.grp.upd"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/dissertation/p/rackham', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/dissertation/p/rackham">
	<ability auth="auth" lock="dis.path.upd"/>
	<ability auth="auth" lock="dis.path.del"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/dissertation/ss/rackham', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/dissertation/ss/rackham">
	<ability auth="auth" lock="dis.status.upd"/>
	<ability auth="auth" lock="dis.status.add"/>
	<ability auth="auth" lock="dis.status.del"/>
	<ability auth="auth" lock="dis.status.read"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('/dissertation/i/rackham', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="/dissertation/i/rackham">
	<ability auth="auth" lock="dis.info.upd"/>
	<ability auth="auth" lock="dis.info.add"/>
	<ability auth="auth" lock="dis.info.del"/>
	<ability auth="auth" lock="dis.info.read"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('~', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="~">
<role id="maintain">
<ability lock="calendar.new"/>
<ability lock="calendar.read"/>
<ability lock="calendar.revise"/>
<ability lock="calendar.delete"/>
<ability lock="content.new"/>
<ability lock="content.read"/>
<ability lock="content.revise"/>
<ability lock="content.delete"/>
<ability lock="annc.new"/>
<ability lock="annc.read"/>
<ability lock="annc.revise.any"/>
<ability lock="annc.revise.own"/>
<ability lock="annc.delete.any"/>
<ability lock="annc.delete.own"/>
<ability lock="chat.new"/>
<ability lock="chat.read"/>
<ability lock="chat.revise.any"/>
<ability lock="chat.revise.own"/>
<ability lock="chat.delete.any"/>
<ability lock="chat.delete.own"/>
<ability lock="disc.new"/>
<ability lock="disc.read"/>
<ability lock="disc.revise.any"/>
<ability lock="disc.revise.own"/>
<ability lock="disc.delete.any"/>
<ability lock="disc.delete.own"/>
<ability lock="disc.new.topic"/>
<ability lock="mail.read"/>
<ability lock="mail.revise.any"/>
<ability lock="mail.revise.own"/>
<ability lock="mail.delete.any"/>
<ability lock="mail.delete.own"/>
<ability lock="site.visit"/>
<ability lock="site.visit.unp"/>
<ability lock="user.add"/>
<ability lock="user.upd.own"/>
<ability lock="prefs.add"/>
<ability lock="prefs.upd"/>
<ability lock="prefs.del"/>
</role>
<ability auth="auth" role="maintain"/>
<ability anon="anon" lock="user.add"/>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('@', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="@">
<role id="access">
<ability lock="dis.status.add"/>
<ability lock="dis.step.read"/>
<ability lock="dis.path.upd"/>
<ability lock="dis.status.del"/>
<ability lock="dis.status.read"/>
<ability lock="dis.status.upd"/>
<ability lock="dis.dis.read"/>
<ability lock="asn.read"/>
<ability lock="asn.submit"/>
<ability lock="chat.new"/>
<ability lock="chat.read"/>
<ability lock="disc.new"/>
<ability lock="disc.read"/>
<ability lock="disc.revise.own"/>
<ability lock="mail.read"/>
<ability lock="calendar.read"/>
<ability lock="annc.read"/>
<ability lock="site.visit"/>
<ability lock="dropbox.own"/>
<ability lock="content.read"/>
</role>
<role id="maintain">
<ability lock="asn.new"/>
<ability lock="asn.read"/>
<ability lock="asn.revise"/>
<ability lock="asn.delete"/>
<ability lock="chat.new"/>
<ability lock="chat.read"/>
<ability lock="chat.revise.any"/>
<ability lock="chat.revise.own"/>
<ability lock="chat.delete.any"/>
<ability lock="chat.delete.own"/>
<ability lock="mail.read"/>
<ability lock="mail.revise.any"/>
<ability lock="mail.revise.own"/>
<ability lock="mail.delete.any"/>
<ability lock="mail.delete.own"/>
<ability lock="annc.new"/>
<ability lock="annc.read"/>
<ability lock="annc.revise.any"/>
<ability lock="annc.revise.own"/>
<ability lock="annc.delete.any"/>
<ability lock="annc.delete.own"/>
<ability lock="annc.read.draft"/>
<ability lock="calendar.new"/>
<ability lock="calendar.delete"/>
<ability lock="calendar.read"/>
<ability lock="calendar.revise"/>
<ability lock="disc.new"/>
<ability lock="disc.read"/>
<ability lock="disc.revise.any"/>
<ability lock="disc.revise.own"/>
<ability lock="disc.delete.any"/>
<ability lock="disc.delete.own"/>
<ability lock="disc.read.draft"/>
<ability lock="disc.new.topic"/>
<ability lock="content.read"/>
<ability lock="content.revise"/>
<ability lock="content.delete"/>
<ability lock="content.new"/>
<ability lock="site.visit"/>
<ability lock="site.visit.unp"/>
<ability lock="site.upd"/>
<ability lock="site.del"/>
<ability lock="dis.step.upd"/>
<ability lock="dis.step.add"/>
<ability lock="dis.step.read"/>
<ability lock="dis.status.add"/>
<ability lock="dis.path.del"/>
<ability lock="dis.step.del"/>
<ability lock="dis.dis.del"/>
<ability lock="dis.dis.upd"/>
<ability lock="dis.path.add"/>
<ability lock="dis.status.del"/>
<ability lock="dis.status.read"/>
<ability lock="dis.status.upd"/>
<ability lock="dis.dis.add"/>
<ability lock="dis.path.read"/>
<ability lock="dis.dis.read"/>
<ability lock="user.upd.own"/>
<ability lock="prefs.add"/>
<ability lock="prefs.upd"/>
<ability lock="prefs.del"/>
</role>
</realm>
');

INSERT INTO CHEF_REALM VALUES ('!pubview', '<?xml version="1.0" encoding="UTF-8"?>
<realm id="!pubview">
<role id="pubview">
<ability lock="calendar.read"/>
<ability lock="content.read"/>
<ability lock="annc.read"/>
<ability lock="chat.read"/>
<ability lock="disc.read"/>
<ability lock="mail.read"/>
<ability lock="site.visit"/>
</role>
</realm>
');
