/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/exception/OverQuotaException.java,v 1.2 2004/06/22 03:14:46 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

// package
package org.sakaiproject.exception;

/**
* <p>OverQuotaException is thrown whenever an attempt is made to change or add a Resource which fails because
* a quota would be violated by this attempt.</p>
* <p>The id of the Resource is available as part of the exception.</p>
*
* @author University of Michigan, CHEF Software Development Team
* @version $Revision: 1.2 $
*/

public class OverQuotaException
	extends Exception
{
	private String m_ref = null;

	public OverQuotaException(String ref)
	{
		m_ref = ref;

	}	// OverQuotaException

	public String toString()
	{
		return super.toString() + " ref: " + m_ref;

	}	// toString

}	// OverQuotaException

/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/exception/OverQuotaException.java,v 1.2 2004/06/22 03:14:46 ggolden Exp $
*
**********************************************************************************/
