/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/common/agent/User.java,v 1.2 2004/06/22 03:14:40 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

package org.sakaiproject.service.common.agent;

/**
 * <p>User models the end user Agents.</p>
 * 
 * @author University of Michigan, Sakai Software Development Team
 * @version $Revision: 1.2 $
 */
public interface User extends Agent
{
	/**
	 * Access the user's email address.
	 * @return The user's email address as a string.
	 */
	String getEmail();

	/**
	* Access the user's first name.
	* @return The user's first name.
	*/
	String getFirstName();

	/**
	* Access the user's last name.
	* @return The user's last name.
	*/
	String getLastName();

	/**
	 * Set the user's email address.
	 * @param email The user's email address string.
	 */
	void setEmail(String email);

	/**
	* Set the user's first name.
	* @param name The user's first name.
	*/
	void setFirstName(String name);

	/**
	* Set the user's last name.
	* @param name The user's last name.
	*/
	void setLastName(String name);
}

/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/common/agent/User.java,v 1.2 2004/06/22 03:14:40 ggolden Exp $
*
**********************************************************************************/
