/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/framework/session/cover/UsageSessionService.java,v 1.5 2004/06/22 03:14:52 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

package org.sakaiproject.service.framework.session.cover;

import org.sakaiproject.service.framework.component.cover.ComponentManager;

/**
* <p>UsageSessionService is a static Cover for the {@link org.sakaiproject.service.framework.session.UsageSessionService UsageSessionService};
* see that interface for usage details.</p>
* 
* @author University of Michigan, Sakai Software Development Team
* @version $Revision: 1.5 $
*/
public class UsageSessionService
{
	/**
	 * Access the component instance: special cover only method.
	 * @return the component instance.
	 */
	public static org.sakaiproject.service.framework.session.UsageSessionService getInstance()
	{
		return (org.sakaiproject.service.framework.session.UsageSessionService) ComponentManager.get(org.sakaiproject.service.framework.session.UsageSessionService.class);
	}

	public static java.lang.String SERVICE_NAME = org.sakaiproject.service.framework.session.UsageSessionService.SERVICE_NAME;
	public static java.lang.String EVENT_LOGIN = org.sakaiproject.service.framework.session.UsageSessionService.EVENT_LOGIN;
	public static java.lang.String EVENT_LOGOUT = org.sakaiproject.service.framework.session.UsageSessionService.EVENT_LOGOUT;

	public static boolean loginSessionUser(java.lang.String param0, java.lang.String param1, java.lang.String param2, java.lang.String param3)
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return false;

		return service.loginSessionUser(param0, param1, param2, param3);
	}

	public static void logoutSessionUser()
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return;

		service.logoutSessionUser();
	}

	public static void loginThreadUser(java.lang.String param0)
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return;

		service.loginThreadUser(param0);
	}

	public static void logoutThreadUser()
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return;

		service.logoutThreadUser();
	}

	public static org.sakaiproject.service.legacy.user.User getSessionUser()
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return null;

		return service.getSessionUser();
	}

	public static org.sakaiproject.service.framework.session.UsageSession getSession()
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return null;

		return service.getSession();
	}

	public static org.sakaiproject.service.framework.session.UsageSession getSession(java.lang.String param0)
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return null;

		return service.getSession(param0);
	}

	public static boolean isLocalSession(java.lang.String param0)
	{
		org.sakaiproject.service.framework.session.UsageSessionService service = getInstance();
		if (service == null)
			return false;

		return service.isLocalSession(param0);
	}
}

/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/framework/session/cover/UsageSessionService.java,v 1.5 2004/06/22 03:14:52 ggolden Exp $
*
**********************************************************************************/
