/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/framework/state/cover/StateService.java,v 1.6 2004/06/22 03:14:51 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

package org.sakaiproject.service.framework.state.cover;

import org.sakaiproject.service.framework.component.cover.ComponentManager;

/**
* <p>StateService is a static Cover for the {@link org.sakaiproject.service.framework.state.StateService StateService};
* see that interface for usage details.</p>
* 
* @author University of Michigan, Sakai Software Development Team
* @version $Revision: 1.6 $
*/
public class StateService
{
	/**
	 * Access the component instance: special cover only method.
	 * @return the component instance.
	 */
	public static org.sakaiproject.service.framework.state.StateService getInstance()
	{
		return (org.sakaiproject.service.framework.state.StateService) ComponentManager.get(org.sakaiproject.service.framework.state.StateService.class);
	}

	public static void setAttribute(java.lang.String param0, java.lang.String param1, java.lang.Object param2)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return;

		service.setAttribute(param0, param1, param2);
	}

	public static org.sakaiproject.service.framework.state.SessionState getSessionState(java.lang.String param0)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return null;

		return service.getSessionState(param0);
	}

	public static org.sakaiproject.service.framework.state.SessionState getCurrentSessionState(java.lang.String param0)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return null;

		return service.getCurrentSessionState(param0);
	}

	public static org.sakaiproject.service.framework.state.SessionState getCurrentSessionState()
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return null;

		return service.getCurrentSessionState();
	}

	public static void retireState(java.lang.String param0)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return;

		service.retireState(param0);
	}

	public static void clear(java.lang.String param0)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return;

		service.clear(param0);
	}

	public static java.lang.Object getAttribute(java.lang.String param0, java.lang.String param1)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return null;

		return service.getAttribute(param0, param1);
	}

	public static void removeAttribute(java.lang.String param0, java.lang.String param1)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return;

		service.removeAttribute(param0, param1);
	}

	public static java.util.List getAttributeNames(java.lang.String param0)
	{
		org.sakaiproject.service.framework.state.StateService service = getInstance();
		if (service == null)
			return null;

		return service.getAttributeNames(param0);
	}
}

/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/framework/state/cover/StateService.java,v 1.6 2004/06/22 03:14:51 ggolden Exp $
*
**********************************************************************************/
