/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/legacy/content/cover/ContentHostingService.java,v 1.8 2004/06/22 03:14:45 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

package org.sakaiproject.service.legacy.content.cover;

import org.sakaiproject.service.framework.component.cover.ComponentManager;

/**
* <p>ContentHostingService is a static Cover for the {@link org.sakaiproject.service.legacy.content.ContentHostingService ContentHostingService};
* see that interface for usage details.</p>
* 
* @author University of Michigan, Sakai Software Development Team
* @version $Revision: 1.8 $
*/
public class ContentHostingService
{
	/**
	 * Access the component instance: special cover only method.
	 * @return the component instance.
	 */
	public static org.sakaiproject.service.legacy.content.ContentHostingService getInstance()
	{
		return (org.sakaiproject.service.legacy.content.ContentHostingService) ComponentManager.get(org.sakaiproject.service.legacy.content.ContentHostingService.class);
	}

	public static java.lang.String SERVICE_NAME = org.sakaiproject.service.legacy.content.ContentHostingService.SERVICE_NAME;
	public static java.lang.String REFERENCE_ROOT = org.sakaiproject.service.legacy.content.ContentHostingService.REFERENCE_ROOT;
	public static java.lang.String EVENT_RESOURCE_ADD = org.sakaiproject.service.legacy.content.ContentHostingService.EVENT_RESOURCE_ADD;
	public static java.lang.String EVENT_RESOURCE_READ = org.sakaiproject.service.legacy.content.ContentHostingService.EVENT_RESOURCE_READ;
	public static java.lang.String EVENT_RESOURCE_WRITE = org.sakaiproject.service.legacy.content.ContentHostingService.EVENT_RESOURCE_WRITE;
	public static java.lang.String EVENT_RESOURCE_REMOVE = org.sakaiproject.service.legacy.content.ContentHostingService.EVENT_RESOURCE_REMOVE;

	public static java.lang.String getUrl(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getUrl(param0);
	}

	public static java.lang.String getReference(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getReference(param0);
	}

	public static org.sakaiproject.service.legacy.content.ContentCollection getCollection(java.lang.String param0) throws org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.PermissionException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getCollection(param0);
	}

	public static boolean allowAddCollection(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowAddCollection(param0);
	}

	public static org.sakaiproject.service.legacy.content.ContentCollection addCollection(java.lang.String param0, org.sakaiproject.service.legacy.resource.ResourceProperties param1) throws org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.InconsistentException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.addCollection(param0, param1);
	}

	public static org.sakaiproject.service.legacy.content.ContentCollectionEdit addCollection(java.lang.String param0) throws org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.InconsistentException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.addCollection(param0);
	}

	public static boolean allowGetCollection(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowGetCollection(param0);
	}

	public static void checkCollection(java.lang.String param0) throws org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.PermissionException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.checkCollection(param0);
	}

	public static java.util.List getAllResources(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getAllResources(param0);
	}

	public static boolean allowUpdateCollection(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowUpdateCollection(param0);
	}

	public static org.sakaiproject.service.legacy.content.ContentCollectionEdit editCollection(java.lang.String param0) throws org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.editCollection(param0);
	}

	public static boolean allowRemoveCollection(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowRemoveCollection(param0);
	}

	public static void removeCollection(org.sakaiproject.service.legacy.content.ContentCollectionEdit param0) throws org.sakaiproject.exception.TypeException, org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.InconsistentException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.removeCollection(param0);
	}

	public static void removeCollection(java.lang.String param0) throws org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.removeCollection(param0);
	}

	public static void commitCollection(org.sakaiproject.service.legacy.content.ContentCollectionEdit param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.commitCollection(param0);
	}

	public static void cancelCollection(org.sakaiproject.service.legacy.content.ContentCollectionEdit param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.cancelCollection(param0);
	}

	public static boolean allowAddResource(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowAddResource(param0);
	}

	public static org.sakaiproject.service.legacy.content.ContentResource addResource(java.lang.String param0, java.lang.String param1, byte[] param2, org.sakaiproject.service.legacy.resource.ResourceProperties param3, int param4) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.InconsistentException, org.sakaiproject.exception.OverQuotaException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.addResource(param0, param1, param2, param3, param4);
	}

	public static org.sakaiproject.service.legacy.content.ContentResourceEdit addResource(java.lang.String param0) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.InconsistentException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.addResource(param0);
	}

	public static boolean allowAddAttachmentResource()
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowAddAttachmentResource();
	}

	public static org.sakaiproject.service.legacy.content.ContentResource addAttachmentResource(java.lang.String param0, java.lang.String param1, byte[] param2, org.sakaiproject.service.legacy.resource.ResourceProperties param3) throws org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.InconsistentException, org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.OverQuotaException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.addAttachmentResource(param0, param1, param2, param3);
	}

	public static org.sakaiproject.service.legacy.content.ContentResourceEdit addAttachmentResource(java.lang.String param0) throws org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.InconsistentException, org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.PermissionException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.addAttachmentResource(param0);
	}

	public static boolean allowUpdateResource(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowUpdateResource(param0);
	}

	public static org.sakaiproject.service.legacy.content.ContentResource updateResource(java.lang.String param0, java.lang.String param1, byte[] param2) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.InUseException, org.sakaiproject.exception.OverQuotaException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.updateResource(param0, param1, param2);
	}

	public static org.sakaiproject.service.legacy.content.ContentResourceEdit editResource(java.lang.String param0) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.editResource(param0);
	}

	public static boolean allowGetResource(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowGetResource(param0);
	}

	public static boolean allowRemoveResource(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowRemoveResource(param0);
	}

	public static void removeResource(org.sakaiproject.service.legacy.content.ContentResourceEdit param0) throws org.sakaiproject.exception.PermissionException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.removeResource(param0);
	}

	public static void removeResource(java.lang.String param0) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.removeResource(param0);
	}

	public static boolean allowRename(java.lang.String param0, java.lang.String param1)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowRename(param0, param1);
	}

	public static boolean allowCopy(java.lang.String param0, java.lang.String param1)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowCopy(param0, param1);
	}

	public static void commitResource(org.sakaiproject.service.legacy.content.ContentResourceEdit param0) throws org.sakaiproject.exception.OverQuotaException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.commitResource(param0);
	}

	public static void commitResource(org.sakaiproject.service.legacy.content.ContentResourceEdit param0, int param1) throws org.sakaiproject.exception.OverQuotaException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.commitResource(param0, param1);
	}

	public static void cancelResource(org.sakaiproject.service.legacy.content.ContentResourceEdit param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.cancelResource(param0);
	}

	public static boolean allowGetProperties(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowGetProperties(param0);
	}

	public static boolean allowAddProperty(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowAddProperty(param0);
	}

	public static org.sakaiproject.service.legacy.resource.ResourceProperties addProperty(java.lang.String param0, java.lang.String param1, java.lang.String param2) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.addProperty(param0, param1, param2);
	}

	public static boolean allowRemoveProperty(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.allowRemoveProperty(param0);
	}

	public static org.sakaiproject.service.legacy.resource.ResourceProperties removeProperty(java.lang.String param0, java.lang.String param1) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.removeProperty(param0, param1);
	}

	public static java.lang.String getContainingCollectionId(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getContainingCollectionId(param0);
	}

	public static boolean isRootCollection(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return false;

		return service.isRootCollection(param0);
	}

	public static org.sakaiproject.service.legacy.resource.ResourcePropertiesEdit newResourceProperties()
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.newResourceProperties();
	}

	public static java.lang.String getSiteCollection(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getSiteCollection(param0);
	}

	public static java.lang.String archiveResources(org.sakaiproject.service.legacy.resource.ReferenceVector param0, org.w3c.dom.Document param1, java.util.Stack param2, java.lang.String param3)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.archiveResources(param0, param1, param2, param3);
	}

	public static org.sakaiproject.service.legacy.content.ContentResource getResource(java.lang.String param0) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getResource(param0);
	}

	public static org.sakaiproject.service.legacy.resource.ResourceProperties getProperties(java.lang.String param0) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getProperties(param0);
	}

	public static void copy(java.lang.String param0, java.lang.String param1) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.InUseException, org.sakaiproject.exception.OverQuotaException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.copy(param0, param1);
	}

	public static void rename(java.lang.String param0, java.lang.String param1) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.rename(param0, param1);
	}

	public static void checkResource(java.lang.String param0) throws org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.TypeException
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return;

		service.checkResource(param0);
	}

	public static int getDepth(java.lang.String param0, java.lang.String param1)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return 0;

		return service.getDepth(param0, param1);
	}

	public static java.lang.String merge(java.lang.String param0, org.w3c.dom.Element param1, java.lang.String param2, java.lang.String param3, java.util.Map param4)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.merge(param0, param1, param2, param3, param4);
	}

	public static java.lang.String getLabel()
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.getLabel();
	}

	public static java.lang.String archive(java.lang.String param0, org.w3c.dom.Document param1, java.util.Stack param2, java.lang.String param3, org.sakaiproject.service.legacy.resource.ReferenceVector param4)
	{
		org.sakaiproject.service.legacy.content.ContentHostingService service = getInstance();
		if (service == null)
			return null;

		return service.archive(param0, param1, param2, param3, param4);
	}
}

/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/legacy/content/cover/ContentHostingService.java,v 1.8 2004/06/22 03:14:45 ggolden Exp $
*
**********************************************************************************/
