/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/legacy/site/cover/SiteService.java,v 1.8 2004/06/22 03:14:51 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

package org.sakaiproject.service.legacy.site.cover;

import org.sakaiproject.service.framework.component.cover.ComponentManager;

/**
* <p>SiteService is a static Cover for the {@link org.sakaiproject.service.legacy.site.SiteService SiteService};
* see that interface for usage details.</p>
* 
* @author University of Michigan, Sakai Software Development Team
* @version $Revision: 1.8 $
*/
public class SiteService
{
	/**
	 * Access the component instance: special cover only method.
	 * @return the component instance.
	 */
	public static org.sakaiproject.service.legacy.site.SiteService getInstance()
	{
		return (org.sakaiproject.service.legacy.site.SiteService) ComponentManager.get(org.sakaiproject.service.legacy.site.SiteService.class);
	}

	public static java.lang.String SERVICE_NAME = org.sakaiproject.service.legacy.site.SiteService.SERVICE_NAME;
	public static java.lang.String REFERENCE_ROOT = org.sakaiproject.service.legacy.site.SiteService.REFERENCE_ROOT;
	public static java.lang.String SITE_VISIT = org.sakaiproject.service.legacy.site.SiteService.SITE_VISIT;
	public static java.lang.String SITE_VISIT_UNPUBLISHED = org.sakaiproject.service.legacy.site.SiteService.SITE_VISIT_UNPUBLISHED;
	public static java.lang.String SECURE_ADD_SITE = org.sakaiproject.service.legacy.site.SiteService.SECURE_ADD_SITE;
	public static java.lang.String SECURE_REMOVE_SITE = org.sakaiproject.service.legacy.site.SiteService.SECURE_REMOVE_SITE;
	public static java.lang.String SECURE_UPDATE_SITE = org.sakaiproject.service.legacy.site.SiteService.SECURE_UPDATE_SITE;
	public static java.lang.String MAIN_CONTAINER = org.sakaiproject.service.legacy.site.SiteService.MAIN_CONTAINER;

	public static boolean allowAccessSite(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return false;

		return service.allowAccessSite(param0);
	}

	public static org.sakaiproject.service.legacy.site.Site getSite(java.lang.String param0) throws org.sakaiproject.exception.IdUnusedException
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.getSite(param0);
	}

	public static boolean allowUpdateSite(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return false;

		return service.allowUpdateSite(param0);
	}

	public static org.sakaiproject.service.legacy.site.SiteEdit editSite(java.lang.String param0) throws org.sakaiproject.exception.IdUnusedException, org.sakaiproject.exception.PermissionException, org.sakaiproject.exception.InUseException
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.editSite(param0);
	}

	public static void commitEdit(org.sakaiproject.service.legacy.site.SiteEdit param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return;

		service.commitEdit(param0);
	}

	public static void cancelEdit(org.sakaiproject.service.legacy.site.SiteEdit param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return;

		service.cancelEdit(param0);
	}

	public static java.util.List getSites()
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.getSites();
	}

	public static boolean allowAddSite(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return false;

		return service.allowAddSite(param0);
	}

	public static org.sakaiproject.service.legacy.site.SiteEdit addSite(java.lang.String param0) throws org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.PermissionException
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.addSite(param0);
	}

	public static org.sakaiproject.service.legacy.site.SiteEdit addSite(java.lang.String param0, org.sakaiproject.service.legacy.site.Site param1) throws org.sakaiproject.exception.IdInvalidException, org.sakaiproject.exception.IdUsedException, org.sakaiproject.exception.PermissionException
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.addSite(param0, param1);
	}

	public static boolean allowRemoveSite(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return false;

		return service.allowRemoveSite(param0);
	}

	public static void removeSite(org.sakaiproject.service.legacy.site.SiteEdit param0) throws org.sakaiproject.exception.PermissionException
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return;

		service.removeSite(param0);
	}

	public static java.lang.String siteReference(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.siteReference(param0);
	}

	public static java.lang.String sitePageReference(java.lang.String param0, java.lang.String param1)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.sitePageReference(param0, param1);
	}

	public static java.lang.String siteToolReference(java.lang.String param0, java.lang.String param1)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.siteToolReference(param0, param1);
	}

	public static boolean isUserSite(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return false;

		return service.isUserSite(param0);
	}

	public static java.lang.String getSiteUserId(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.getSiteUserId(param0);
	}

	public static java.lang.String getUserSiteId(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.getUserSiteId(param0);
	}

	public static boolean isSpecialSite(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return false;

		return service.isSpecialSite(param0);
	}

	public static java.lang.String getSiteSpecialId(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.getSiteSpecialId(param0);
	}

	public static java.lang.String getSpecialSiteId(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.getSpecialSiteId(param0);
	}

	public static java.lang.String getSiteDisplay(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.getSiteDisplay(param0);
	}

	public static org.sakaiproject.service.legacy.site.ToolConfiguration findTool(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return null;

		return service.findTool(param0);
	}
	
	public static boolean allowViewRoster(java.lang.String param0)
	{
		org.sakaiproject.service.legacy.site.SiteService service = getInstance();
		if (service == null)
			return false;

		return service.allowViewRoster(param0);
	}
}

/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/service/legacy/site/cover/SiteService.java,v 1.8 2004/06/22 03:14:51 ggolden Exp $
*
**********************************************************************************/
