/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/util/Filter.java,v 1.2 2004/06/22 03:14:47 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

// package
package org.sakaiproject.util;

/**
* <p>Filter is the Interface for Sakai Filter objects.</p>
* <p>Filter objects are used with filtered iterator methods.  The filter is
* given each object in the iteration.  Only those that are accepted are returned as part
* of the iteration.<p>
*
* @author University of Michigan, Sakai Software Development Team
* @version 1.0
*/
public interface Filter
{
	/**
	* Does this object satisfy the criteria of the filter?
	* @return true if the object is accepted by the filter, false if not.
	*/
	public boolean accept(Object o);

}	// Filter

/**********************************************************************************
*
* $Header: /cvs/sakai/service/src/java/org/sakaiproject/util/Filter.java,v 1.2 2004/06/22 03:14:47 ggolden Exp $
*
**********************************************************************************/
