/**********************************************************************************
*
* $Header: /cvs/sakai/tunnel/src/java/org/sakaiproject/tunnel/TunnelServlet.java,v 1.3 2004/06/22 03:15:08 ggolden Exp $
*
***********************************************************************************
*
* Copyright (c) 2003, 2004 The Regents of the University of Michigan, Trustees of Indiana University,
*                  Board of Trustees of the Leland Stanford, Jr., University, and The MIT Corporation
* 
* Licensed under the Educational Community License Version 1.0 (the "License");
* By obtaining, using and/or copying this Original Work, you agree that you have read,
* understand, and will comply with the terms and conditions of the Educational Community License.
* You may obtain a copy of the License at:
* 
*      http://cvs.sakaiproject.org/licenses/license_1_0.html
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
* INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
**********************************************************************************/

package org.sakaiproject.tunnel;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.sakaiproject.vm.ComponentServlet;

/**
 * <p></p>
 *
 * @author University of Michigan, Sakai Software Development Team
 * @version $Revision: 1.3 $
 */
public class TunnelServlet extends HttpServlet
{
	/**
	 * @return servlet information.
	 */
	public String getServletInfo()
	{
		return "Sakai Tunnel Servlet";
	}

	/**
	 * Forward the request to the context and path specified in the request,
	 * Send the current session in a special request attribute.
	 */
	protected void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, java.io.IOException
	{
		doGet(req, res);
	}

	/**
	 * Forward the request to the context and path specified in the request,
	 * Send the current session in a special request attribute.
	 */
	protected void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, java.io.IOException
	{
		// Note: the query parameters are alreay in the request, and need not be added here.
		// get the path and query string:
		String path = req.getPathInfo();

		// there may not be a trailing "/"
		String context = null;
		int pos = path.indexOf('/',1);
		if (pos == -1)
		{
			context = path;
			path = "/";
		}

		// if there's a slash and a path following
		else
		{
			context = path.substring(0, pos);
			path = path.substring(pos);
		}

		// get the session into a request attribute
		HttpSession session = req.getSession(true);
		req.setAttribute(ComponentServlet.GLOBAL_SESSION_ATTR, session);

		//		log("Tunnel to: " + context + " " + path + " " + session.getId());

		// get a dispatcher to the services context
		ServletContext servicesContext = getServletContext().getContext(context);
		if (servicesContext != null)
		{
			RequestDispatcher dispatcher = servicesContext.getRequestDispatcher(path);
			if (dispatcher != null)
			{
				dispatcher.forward(req, res);
			}
		}
	}
}

/**********************************************************************************
*
* $Header: /cvs/sakai/tunnel/src/java/org/sakaiproject/tunnel/TunnelServlet.java,v 1.3 2004/06/22 03:15:08 ggolden Exp $
*
**********************************************************************************/
